INSERT INTO M_STORITVE_DAVEK (ID_M_STORITVE_DAVEK, ID_STORITVE, VRSTA, STOPNJA, ZNESEK_OSNOVE, ZNESEK_DAVKA)
(SELECT M_STORITVE_DAVEK_SEQ.NEXTVAL, ID_STORITVE, 'DDV', DAVEK, (ZNESEK*(1-NVL(POPUST,0)/100)*(1-NVL(POPUST1,0)/100)*(1-NVL(POPUST2,0)/100)*(1-NVL(PROVIZIJA,0)/100)),
 (ZNESEK*(1-NVL(POPUST,0)/100)*(1-NVL(POPUST1,0)/100)*(1-NVL(POPUST2,0)/100)*(1-NVL(PROVIZIJA,0)/100))*DAVEK/100
FROM M_STORITVE WHERE ID_STORITVE NOT IN (SELECT ID_STORITVE FROM M_STORITVE_DAVEK));

ALTER TABLE NUSER
ADD DAVCNA_ST VARCHAR2(20 CHAR);

ALTER TABLE NUSER
ADD LOKACIJA VARCHAR2(10 CHAR);

ALTER TABLE NUSER
MODIFY LOKACIJA VARCHAR2(10 CHAR);

ALTER TABLE SALDKONT
ADD LOKAC VARCHAR2(10 CHAR);

UPDATE SALDKONT SET LOKAC='REC' WHERE LOKAC IS NULL;

INSERT INTO NNLOKACI (SIFRA, NAZIV, INTERNI_OPIS) VALUES ('REC', 'Reception', 'Reception');

DROP VIEW V_RACUN;

CREATE VIEW V_RACUN AS 
SELECT R.ID_SALDKONT AS ID_RACUN, SK.F_DAVCNA_STEVILKA AS OIB, 1 AS OBVEZATNIK, R.DATUM_KREIRANJA AS CAS, 'P' AS SLIJEDNOST, 
(R.N_KNJIZBE || R.LOKAC || '1') AS BROJ_RACUNA, 
R.N_KNJIZBE AS NBROJ_RACUNA, R.LOKAC AS POSLOVNI_PROSTOR, 1 AS NAPLATNI_UREDAJ, R.PROTIVREDNOST AS IZNOS, 
(CASE PL.PLACIL WHEN 1 THEN (CASE NP.ID_CARDS WHEN 'GOD' THEN 'G' WHEN 'GOT' THEN 'G' WHEN 'KAR' THEN 'K' WHEN 'CEK' THEN 'C' ELSE 'O' END) ELSE 'O' END) AS NACIN_PLACANJA , 
R.GOVERMENT, R.GOVERMENT_CODE, R.PARAGON_ST AS PARAGON_RACUN, U.DAVCNA_ST AS OIB_DJELATNIKA
FROM SALDKONT R 
JOIN SALDKONT_KUPEC SK ON R.ID_SALDKONT=SK.ID_SALDKONT
JOIN NUSER U ON U.NUSER=R.USER_KREIRANJA
LEFT OUTER JOIN EXCHANGE E ON R.ID_EXCHANGE=E.ID
LEFT OUTER JOIN (SELECT ID_MENJAVE, ID_CARDS FROM MONEY WHERE ROWNUM=1) NP ON E.ID=NP.ID_MENJAVE
LEFT OUTER JOIN (SELECT ID_MENJAVE, COUNT(*) AS PLACIL FROM MONEY GROUP BY ID_MENJAVE) PL ON E.ID=PL.ID_MENJAVE
WHERE R.VRSTA_RACUNA='RAC'
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (259, SYSDATE, '5.5', 179, 'fiskalizacija');